@charset "UTF-8";
/*! Shop CSS  */
.shop-grid {
	display: grid; 
	grid-template-columns: repeat(2, 1fr); 
	column-gap: 2rem; 
	grid-auto-rows: auto;
}

.shop-grid-3 {
	grid-template-columns: repeat(3, 1fr); 
	column-gap: 1rem; 
}
/** Product Variation Logic */
/** Show placeholder, hide all other */
#var-2,
#var-3,
#product [class*=var-],
#product .price var span {
  display: none;
}

#product .placeholder, #product .price .placeholder {
  display: inline;
}

/* Conditional dislplay next step / level if selected logic */
[id*=var-1-]:checked ~ #product #var-2 {
  display: flex;
}
[id*=var-1-]:checked ~ #product .price var span {
  display: none;
}

[id*=var-2-]:checked ~ #product #var-1 {
  pointer-events: none;
}
[id*=var-2-]:checked ~ #product #var-3 {
  display: flex;
}
[id*=var-2-]:checked ~ #product .price *[class*=var-1-] {
  display: none !important;
}

[id*=var-3-]:checked ~ #product #var-2 {
  pointer-events: none;
}
[id*=var-3-]:checked ~ #product #var-3 button span {
  color: black;
}
[id*=var-3-]:checked ~ #product #var-3 button span.placeholder {
  display: none;
}
[id*=var-3-]:checked ~ #product .price *[class*=var-2-] {
  display: none !important;
}

/** Normal locic */
#var-1-0:checked ~ #product [for=var-1-0] {
  background: black;
  color: white;
  font-weight: 600;
}
#var-1-0:checked ~ #product .price .placeholder {
  display: inline;
}

#var-1-1:checked ~ #product [for=var-1-1] {
  background: black;
  color: white;
  font-weight: 600;
}
#var-1-1:checked ~ #product .price .var-1-1 {
  display: inline;
}

#var-1-2:checked ~ #product [for=var-1-2] {
  background: black;
  color: white;
  font-weight: 600;
}
#var-1-2:checked ~ #product .price .var-1-2 {
  display: inline;
}

#var-1-3:checked ~ #product [for=var-1-3] {
  background: black;
  color: white;
  font-weight: 600;
}
#var-1-3:checked ~ #product .price .var-1-3 {
  display: inline;
}

#var-1-4:checked ~ #product [for=var-1-4] {
  background: black;
  color: white;
  font-weight: 600;
}
#var-1-4:checked ~ #product .price .var-1-4 {
  display: inline;
}

#var-2-0:checked ~ #product [for=var-2-0] {
  background: black;
  color: white;
  font-weight: 600;
}
#var-2-0:checked ~ #product .price .var-2-0 {
  display: inline;
}

#var-2-1:checked ~ #product [for=var-2-1] {
  background: black;
  color: white;
  font-weight: 600;
}
#var-2-1:checked ~ #product .price .var-2-1 {
  display: inline;
}

#var-3-0:checked ~ #product [for=var-3-0] {
  background: black;
  color: white;
  font-weight: 600;
}
#var-3-0:checked ~ #product .var-3-0 {
  display: inline;
  font-weight: 600;
}
#var-3-0:checked ~ #product .price .var-3-0 {
  display: inline;
}

#var-3-1:checked ~ #product [for=var-3-1] {
  background: black;
  color: white;
  font-weight: 600;
}
#var-3-1:checked ~ #product .var-3-1 {
  display: inline;
  font-weight: 600;
}
#var-3-1:checked ~ #product .price .var-3-1 {
  display: inline;
}

#var-3-2:checked ~ #product [for=var-3-2] {
  background: black;
  color: white;
  font-weight: 600;
}
#var-3-2:checked ~ #product .var-3-2 {
  display: inline;
  font-weight: 600;
}
#var-3-2:checked ~ #product .price .var-3-2 {
  display: inline;
}

#product-add {
  display: flex;
  align-items: baseline;
  gap: 1rem;
}
#product-add > fieldset {
  width: 30%;
  padding-right: 1rem;
}
#product-add > button {
  width: 70%;
}

#product fieldset {
  position: relative;
  display: flex;
  flex-wrap: nowrap;
  flex-direction: row;
  justify-content: space-between;
  border: none;
  padding: 0.5rem 0 0 0;
  margin: 1rem 0;
  width: 100%;
}
#product fieldset legend {
  font-weight: 500;
}

.variation > label {
  cursor: pointer;
  text-align: center;
  padding: 0.5rem 1rem;
  display: inline-block;
  transform: scale(1);
  transform-origin: center center;
  transition: transform 0.1s ease-in-out, color 0.1s ease, background 0.1s ease, font-weight 0.1s ease;
  will-change: transform, color, backround, font;
}
.variation > label:hover {
  background: rgba(211, 211, 211, 0.5);
}
.variation > label:active, .variation > label:focus {
  transform: scale(0.9);
  font-weight: 600;
}
.variation label.disabled {
  cursor: not-allowed;
  opacity: 0.5;
}
.variation label.disabled:active, .variation label.disabled:focus {
  transform: none;
  font-weight: inherit;
}

.input-group-number input, .input-group-number button {
  all: unset;
  border: 0;
  text-align: center;
  appearance: none;
  -moz-apperarance: text;
  height: 2rem;
  width: 2rem;
  display: inline-block;
  padding: 0;
}
.input-group-number button {
  display: inline-block;
  width: 2rem;
  border-radius: 50%;
  border: 0;
  line-height: 2rem;
  padding: 0;
  cursor: pointer;
  transition: transform 0.15s ease;
}
.input-group-number button:focus {
  outline: 2px solid currentColor;
  outline-offset: 2px;
}
.input-group-number button:active {
  color: white;
  background-color: rgba(0, 0, 0, 0.9);
  transform: scale(0.9);
}
.input-group-number button:hover, .input-group-number button:focus {
  color: white;
  background-color: rgba(128, 128, 128, 0.9);
  font-weight: 800;
}
.input-group-number input {
  background-image: none;
  -moz-appearance: textfield;
  margin: 0 0.5rem;
  cursor: default;
  caret-color: transparent;
}
.input-group-number input::-webkit-outer-spin-button, .input-group-number input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/** Fake <select/> */
.select {
  width: 100%;
  position: relative;
  background-color: white;
  margin: 0;
  overflow: visible;
  height: 3rem;
  user-select: none;
}
.select:active, .select:focus, .select:focus-within, .select:hover {
  color: currentColor;
}
.select button {
  appearance: none;
  -moz-appearance: text;
  background: none;
  text-align: left;
  padding: 0.75rem 2.5rem 0.25rem 0.5rem;
  height: 3rem;
  line-height: 2rem;
  border-radius: 0.25rem;
  width: 100%;
  color: rgba(128, 128, 128, 0.5);
  border: 2px solid currentColor;
  will-change: color, border, opacity;
  transition: color 0.15s ease, border 0.15s ease, opacity 0.15s linear;
}
.select button:active, .select button:hover, .select button:focus {
  color: currentColor;
}
.select button:active + label, .select button:hover + label, .select button:focus + label {
  color: currentColor;
}
.select button:active, .select button:focus {
  opacity: 1;
}
.select button:active ~ div, .select button:focus ~ div {
  display: block;
  transform: scale(1);
  transition-delay: 0s, 2s;
}
.select button::before, .select button::after {
  position: absolute;
  right: 1rem;
  top: 1.55rem;
  content: "";
  width: 0;
  height: 0;
  color: currentColor;
  border-left: 0.3rem solid transparent;
  border-right: 0.3rem solid transparent;
}
.select button::before {
  border-top: 0.4rem solid currentColor;
}
.select button::after {
  top: 0.95rem;
  border-bottom: 0.4rem solid currentColor;
}
.select button span {
  color: inherit;
}
.select button span.placeholder {
  color: currentColor;
}
.select button + label {
  font-size: 0.7rem;
  margin: 0;
  padding: 0 0 0 0.5rem;
  line-height: 1.25em;
  top: 0.25rem;
  position: absolute;
  pointer-events: none;
  color: rgba(128, 128, 128, 0.5);
}
.select button, .select label {
  white-space: nowrap;
}
.select button var, .select label var {
  font-size: 0.75em;
  float: right;
  font-weight: normal;
  line-height: 2.75em;
  vertical-align: bottom;
}
.select > div {
  display: none;
  position: absolute;
  width: 100%;
  top: calc(3rem + 4px);
  z-index: 1;
  border-radius: 0.25rem;
  border: 1px solid rgba(128, 128, 128, 0.5);
  border-radius: 0.25rem;
  background-color: inherit;
  transform: scale(0.8);
  transform-origin: top center;
  transition: transform 2s ease-in, display 0s linear;
  box-shadow: rgba(169, 169, 169, 0.25) 0px 1rem 2rem 0px;
}
.select > div:hover, .select > div:focus-within {
  display: block;
  transform: scale(1);
  transition-delay: 0s, 2s;
}
.select > div::before {
  padding-left: 0.5rem !important;
  content: attr(data-label);
  font-weight: 600;
  display: block;
}
.select label, .select > div::before {
  width: 100%;
  padding: 0.5rem 1rem;
  white-space: nowrap;
  display: block;
}
.select label {
  cursor: default;
}
.select label:hover {
  background-color: rgba(211, 211, 211, 0.5);
}
.select label:last-of-type {
  border-radius: 0 0 0.25rem 0.25rem;
}
.select label var {
  line-height: 1.5;
}

.variation-colors [type=radio] {
  all: unset;
  appearance: none;
  -moz-appearance: text;
  cursor: pointer;
  border-radius: 0.25rem;
  width: 2rem;
  height: 2rem;
  margin: 0 0.5em 0 0;
  border: 2px solid rgba(128, 128, 128, 0.5);
}
.variation-colors [type=radio]:last-of-type {
  margin-right: 0;
}
.variation-colors [type=radio]:checked {
  outline: 2px solid currentColor;
  outline-offset: 2px;
}
.variation-colors [type=radio]:disabled {
  opacity: 0.5;
  cursor: not-allowed;
}
.variation-colors [value=red] {
  background-color: red;
}
.variation-colors [value=green] {
  background-color: green;
}
.variation-colors [value=blue] {
  background-color: blue;
}
.variation-colors [value=violet] {
  background-color: violet;
}
.variation-colors [value=black] {
  background-color: black;
}
.variation-colors [value=brown] {
  background-color: brown;
}
.variation-colors [value=gray] {
  background-color: gray;
}
.variation-colors [value=white] {
  background-color: white;
}
.variation-colors [value=yellow] {
  background-color: yellow;
}
.variation-colors [value=orange] {
  background-color: orange;
}
.variation-colors [value=pink] {
  background-color: pink;
}
.variation-colors [value=purple] {
  background-color: purple;
}
.variation-colors [value=cyan] {
  background-color: cyan;
}
.variation-colors [value=magenta] {
  background-color: magenta;
}
.variation-colors [value=lime] {
  background-color: lime;
}
.variation-colors [value=navy] {
  background-color: navy;
}
.variation-colors [value=teal] {
  background-color: teal;
}
.variation-colors [value=olive] {
  background-color: olive;
}
.variation-colors [value=maroon] {
  background-color: maroon;
}
.variation-colors [value=silver] {
  background-color: silver;
}